#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC4,0xE9,0xFE,0x27,0x51,0x9C,0x11,0xD7,0x98,0xAF,0x34,0x4B,
		0xD8,0x82,0x14,0x34,0x54,0x60,0xBE,0x04,0x6A,0x88,0x3F,0x63,
		0x0F,0x32,0x2D,0x7C,0x59,0xCA,0x47,0xCF,0x01,0x39,0x02,0xD5,
		0x3F,0x49,0xE6,0x34,0x67,0x8F,0xBC,0x41,0x9B,0xF2,0x02,0xF6,
		0x2A,0x32,0x01,0xC5,0x64,0x7A,0xB2,0x35,0x7A,0xF6,0x82,0x05,
		0xF6,0x84,0x4C,0x9B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
